<?php

// Copyright (C) 2008 Self-Reliance asbl

// This file is part of PhpDaily.

// PhpDaily is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// PhpDaily is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with PhpDaily. If not, see http://www.gnu.org/licenses/ 

require_once ("include/connect.php");
require_once ("include/connexion.php");
require_once ("include/query.php");
require_once ("include/text_functions.php");

$conn = Connexion (NOM, PASSE, BASE, SERVEUR);

$cas = $_GET['cas'];

if (isset($_GET['mode']))
{
	$mode = $_GET['mode'];
}
else
{
	$mode = 'ide';
}

$args = "";

if ($cas != 'arch' && $cas != 'date_debut' && $cas != 'date_fin')
{
	switch ($mode)
	{
		case 'ide':
			$proj_num = $_POST['proj_num'];
			$proj_titre = htmlentities($_POST['proj_titre']);
			$proj_titre_abr = htmlentities($_POST['proj_titre_abr']);
			$proj_suivi_de = $_POST['proj_suivi_de'];
			$proj_nom_fin = htmlentities($_POST['proj_nom_fin']);
			$proj_nom_ben = htmlentities($_POST['proj_nom_ben']);
			$proj_date_debut = $_POST['proj_date_debut'];
			$proj_date_fin = "";
			$proj_fk_prod_princ = $_POST['proj_fk_prod_princ'];
			$proj_fk_proba = $_POST['proj_fk_proba'];
			$proj_fk_pays = $_POST['proj_fk_pays'];
			$proj_source = htmlentities($_POST['proj_source']);
			break;
		case 'neg':
			if (is_numeric($_POST['proj_budget']))
			{
				$proj_budget = $_POST['proj_budget'];
			}
			else
			{
				$proj_budget = 0;
			}
			if (strlen($_POST['proj_negoc']) > 0)
			{
				$proj_negoc = ToBR(htmlentities($_POST['proj_negoc']));
			}
			else
			{
				$proj_negoc = "";
			}
			break;
		case 'der':
			if (strlen($_POST['proj_deroul']) > 0)
			{
				$proj_deroul = ToBR(htmlentities($_POST['proj_deroul']));
			}
			else
			{
				$proj_deroul = "";
			}
			break;
		case 'clo':
			if (strlen($_POST['proj_resultat']) > 0)
			{
				$proj_resultat = ToBR(htmlentities($_POST['proj_resultat']));
			}
			else
			{
				$proj_resultat = "";
			}
			if (is_numeric($_POST['proj_jours_vendus']))
			{
				$proj_jours_vendus = $_POST['proj_jours_vendus'];
			}
			else
			{
				$proj_jours_vendus = 0;
			}
			if (is_numeric($_POST['proj_honoraires']))
			{
				$proj_honoraires = $_POST['proj_honoraires'];
			}
			else
			{
				$proj_honoraires = 0;
			}
			break;
	}
}

switch ($cas)
{
	case 'add':
		$sql = "SELECT * FROM projets ORDER BY proj_id DESC LIMIT 1;";
		$req = Requete ($sql, $conn);
		$ok = FALSE;
		while ($rs = ObjetSuivant($req))
		{
			$proj_id = $rs->proj_id + 1;
			$ok = TRUE;
		}
		if (!$ok)
		{
			$proj_id = 1;
		}

		$sql = "INSERT INTO projets (proj_id,proj_num,proj_titre,proj_titre_abr,"
			. "proj_suivi_de,proj_nom_fin,proj_nom_ben,proj_date_debut,proj_date_fin,"
			. "proj_fk_prod_princ,proj_fk_proba,"
			. "proj_fk_pays,proj_source) "
			. "VALUES ($proj_id,'$proj_num','$proj_titre','$proj_titre_abr',"
			. "$proj_suivi_de,'$proj_nom_fin','$proj_nom_ben','$proj_date_debut','$proj_date_fin',"
			. "$proj_fk_prod_princ,$proj_fk_proba,"
			. "$proj_fk_pays,'$proj_source');";
		$req = Requete ($sql,$conn);
		break;
	case 'modif':
		$proj_id = $_GET['id'];
		switch ($mode)
		{
			case 'ide':
				$sql = "UPDATE projets SET proj_num='$proj_num',proj_titre='$proj_titre',proj_titre_abr='$proj_titre_abr',"
					. "proj_suivi_de=$proj_suivi_de,proj_nom_fin='$proj_nom_fin',proj_nom_ben='$proj_nom_ben',"
					. "proj_fk_prod_princ=$proj_fk_prod_princ,proj_fk_proba=$proj_fk_proba,"
					. "proj_fk_pays=$proj_fk_pays,proj_source='$proj_source'"
					. " WHERE proj_id = $proj_id;";
				break;
			case 'neg':
				$sql = "UPDATE projets SET proj_budget=$proj_budget,proj_negoc='$proj_negoc'"
					. " WHERE proj_id = $proj_id;";
				break;
			case 'der':
				$sql = "UPDATE projets SET proj_deroul='$proj_deroul'"
					. " WHERE proj_id = $proj_id;";
				break;
			case 'clo':
				$sql = "UPDATE projets SET proj_resultat='$proj_resultat',"
					. "proj_jours_vendus=$proj_jours_vendus,proj_honoraires=$proj_honoraires"
					. " WHERE proj_id = $proj_id;";
				break;
		}
		$req = Requete ($sql,$conn);
		break;
	case 'arch':
		$proj_id = $_GET['id'];
		$sql = "SELECT * FROM projets WHERE proj_id = $proj_id;";
		$req = Requete ($sql, $conn);
		while ($rs = ObjetSuivant($req))
		{
			if ($rs->proj_isarchive == 0)
			{
				$proj_isarchive = 1;
			}
			else
			{
				$proj_isarchive = 0;
				$args = "?mode=arch";
			}
		}
		$sql = "UPDATE projets SET proj_isarchive='$proj_isarchive' WHERE proj_id = $proj_id;";
		$req = Requete ($sql, $conn);
		break;
	case 'date_debut':
		$proj_id = $_POST['proj_id'];
		$proj_date_debut =$_POST['proj_date_debut'];
		$sql = "UPDATE projets SET proj_date_debut='$proj_date_debut' WHERE proj_id = $proj_id;";
		$req = Requete ($sql, $conn);
		break;
	case 'date_fin':
		$proj_id = $_POST['proj_id'];
		$proj_date_fin =$_POST['proj_date_fin'];
		$sql = "UPDATE projets SET proj_date_fin='$proj_date_fin' WHERE proj_id = $proj_id;";
		$req = Requete ($sql, $conn);
		break;
}

if ($cas == 'add' || $cas == 'arch')
{
	header("Location: projets.php$args");
}
else
{
	header("Location: proj_detail.php?id=$proj_id&mode=$mode");
}
?>
